# The North Wind and the Sun -- Syllable nuclei annotations

_Temporal predictability in speech: Comparing statistical approaches on 18 world languages._ Yannick Jadoul, Andrea Ravignani, Bill Thompson, Piera Filippi, and Bart de Boer.

## Raw annotations
The files with extension `.zip`, having the format `Language_iso_annotator.zip` contain the raw annotations in a saved Praat `TextGrid`. They annotate the narrative sound files of the Illustrations of the IPA, as provided by the _Journal of the International Phonetics Association_ (https://www.internationalphoneticassociation.org/content/journal-ipa). Whenever this audio data consisted of multiple files, multiple Praat files with annotation were created.

These annotations alco contain the perceived phrase and sentence breaks (respectively by a `/` and `//` marker), that interrupted the sequences of contiguously uttered speech.

The individual `TextGrid` files should all be readable by Praat, version 6.


## Prepared data
The previously mentioned `TextGrid` annotations was enhanced by adding the intensities and were then converted into a format that was easier to read by our analyses scripts. The `Language_iso_annotator.out` files are tab-separated text files that contains 4 columns, with each row corresponding to a single syllable nucleus annotation:
- The first column, `part`, refers to the order of the audio files of the narrative.
- The second column, `time`, refers to the location in the audio file the annotation was added.
- The third column, `mark`, can be empty or can contain the `/` or `//` symbols, indicating a phrase or sentence break.
- The fourth column, `intensity`, shows the intensity of the audio recording at the specified point in time, as calculated by Praat.

`all.out` assembles the previously described data from all different languages, while `all_unique.out` contains the data of only one annotator for each language. To distinguish between the different concatenated datasets, these two tab-separated files contain 2 extra columns:
- `language` contains the ISO code per language (cfr. the second part of the previous filenames).
- `annotator` contains the initials identifying the author that created this annotatation (cfr. the third part of the previous filenames).


## Python conversion scripts
The Python script files (`.py` extension) are the ones that were used to convert the Praat `.TextGrid` format to the tab-separated `.out` files. They are included as a reference for the interested, but will not be exectuable as they depend on a self-created (and for now unfinished and unreleased) Python libary to extract the intensities with Praat. Feel free to contact the authors if you for further explanation or access to the analysis scripts.
