from constants import *
import input_files

import parselmouth

import re
import sys

def process_language(name, parts):
	n = parts if parts != None else 1
	
	with open(DATA_DIR + name + ".out", "w") as g:
		g.write("\t".join(("part", "time", "marker", "intensity")) + "\n")

		for i in range(1, n+1):
			base_name = ANNOTATIONS_DIR + name + ("_" + str(i) if parts != None else "")
			sound = parselmouth.Sound.read_file(base_name + ".wav")

			with open(base_name + ".TextGrid", 'r') as f:
				matches = re.findall(r'points \[(\d+)\]:\s*number = (\d+\.\d+)\s*mark = "([/-]*)"', f.read())
				indices, times, markers = map(list, zip(*matches))
				assert map(int, indices) == range(1, len(indices) + 1)
				times = map(float, times)

			intensity = sound.to_intensity()
			intensities = [intensity.get_value(t) for t in times]

			# pitch = sound.to_pitch_ac(**parameters.get("pitch", {}))
			# pitches = [pitch.get_value(t) for t in times]

			# harmonicity = sound.to_harmonicity_cc(**parameters.get("harmonicity", {}))
			# harmonicities = [harmonicity.get_value(t) for t in times]
		
			for things in zip(times, markers, intensities):
				g.write("\t".join(map(str, (i,) + things)) + "\n")

def main():
	if len(sys.argv) > 1:
		names = sys.argv[1:]
	else:
		names = input_files.NAMES
	
	for name in names:
		print name
		process_language(name, input_files.PARTS.get(name))

if __name__ == "__main__":
	main()

